package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskCollectorApi;
import com.docus.server.entity.scheduling.management.TaskCollector;
import com.docus.server.service.ITaskCollectorService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器管理（终端） TaskCollectorController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskCollectorController implements TaskCollectorApi {
    @Resource
    private ITaskCollectorService iTaskCollectorService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollector findById(String id) {
        return iTaskCollectorService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollector> search(SearchRequest searchRequest) {
        return iTaskCollectorService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollector 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollector taskCollector) {
        return iTaskCollectorService.add(taskCollector);
    }

    /**
     * 编辑
     *
     * @param taskCollector 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollector taskCollector) {
        return iTaskCollectorService.edit(taskCollector);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorService.delete(ids);
    }
}
