package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskCollectorVersionApi;
import com.docus.server.entity.scheduling.management.TaskCollectorVersion;
import com.docus.server.service.ITaskCollectorVersionService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本列表管理（终端） TaskCollectorVersionController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskCollectorVersionController implements TaskCollectorVersionApi {
    @Resource
    private ITaskCollectorVersionService iTaskCollectorVersionService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersion findById(String id) {
        return iTaskCollectorVersionService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersion> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersion 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersion taskCollectorVersion) {
        return iTaskCollectorVersionService.add(taskCollectorVersion);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersion 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersion taskCollectorVersion) {
        return iTaskCollectorVersionService.edit(taskCollectorVersion);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionService.delete(ids);
    }
}
