package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskCollectorVersionFileApi;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionFile;
import com.docus.server.service.ITaskCollectorVersionFileService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本列表更新包管理（终端） TaskCollectorVersionFileController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskCollectorVersionFileController implements TaskCollectorVersionFileApi {
    @Resource
    private ITaskCollectorVersionFileService iTaskCollectorVersionFileService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersionFile findById(String id) {
        return iTaskCollectorVersionFileService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersionFile> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionFileService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersionFile taskCollectorVersionFile) {
        return iTaskCollectorVersionFileService.add(taskCollectorVersionFile);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersionFile taskCollectorVersionFile) {
        return iTaskCollectorVersionFileService.edit(taskCollectorVersionFile);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionFileService.delete(ids);
    }
}
