package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskCollectorVersionLogApi;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionLog;
import com.docus.server.service.ITaskCollectorVersionLogService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） TaskCollectorVersionLogController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskCollectorVersionLogController implements TaskCollectorVersionLogApi {
    @Resource
    private ITaskCollectorVersionLogService iTaskCollectorVersionLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersionLog findById(String id) {
        return iTaskCollectorVersionLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersionLog> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionLogService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersionLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersionLog taskCollectorVersionLog) {
        return iTaskCollectorVersionLogService.add(taskCollectorVersionLog);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersionLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersionLog taskCollectorVersionLog) {
        return iTaskCollectorVersionLogService.edit(taskCollectorVersionLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionLogService.delete(ids);
    }
}
