package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskTerminatorCollectionRecordApi;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollectionRecord;
import com.docus.server.service.ITaskTerminatorCollectionRecordService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集记录表（终端） TaskTerminatorCollectionRecordController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskTerminatorCollectionRecordController implements TaskTerminatorCollectionRecordApi {
    @Resource
    private ITaskTerminatorCollectionRecordService iTaskTerminatorCollectionRecordService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorCollectionRecord findById(String id) {
        return iTaskTerminatorCollectionRecordService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorCollectionRecord> search(SearchRequest searchRequest) {
        return iTaskTerminatorCollectionRecordService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorCollectionRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord) {
        return iTaskTerminatorCollectionRecordService.add(taskTerminatorCollectionRecord);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorCollectionRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord) {
        return iTaskTerminatorCollectionRecordService.edit(taskTerminatorCollectionRecord);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorCollectionRecordService.delete(ids);
    }
}
