package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskTerminatorApi;
import com.docus.server.entity.scheduling.management.TaskTerminator;
import com.docus.server.service.ITaskTerminatorService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 执行管理器（采集器终端） TaskTerminatorController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@RestController
public class TaskTerminatorController implements TaskTerminatorApi {
    @Resource
    private ITaskTerminatorService iTaskTerminatorService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminator findById(String id) {
        return iTaskTerminatorService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminator> search(SearchRequest searchRequest) {
        return iTaskTerminatorService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminator 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminator taskTerminator) {
        return iTaskTerminatorService.add(taskTerminator);
    }

    /**
     * 编辑
     *
     * @param taskTerminator 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminator taskTerminator) {
        return iTaskTerminatorService.edit(taskTerminator);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorService.delete(ids);
    }
}
