package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionFile;
import com.docus.server.infrastructure.dao.ITaskCollectorVersionFileDao;
import com.docus.server.infrastructure.mapper.TaskCollectorVersionFileMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 采集器版本列表更新包管理（终端） TaskCollectorVersionFileDaoImpl 数据访问实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Repository
public class TaskCollectorVersionFileDaoImpl extends BaseDaoImpl<TaskCollectorVersionFileMapper, TaskCollectorVersionFile> implements ITaskCollectorVersionFileDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersionFile findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersionFile taskCollectorVersionFile) {
        return super.save(taskCollectorVersionFile);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersionFile taskCollectorVersionFile) {
        return super.updateById(taskCollectorVersionFile);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersionFile> search(SearchRequest searchRequest) {
        //分页
        PageHelper.startPage(searchRequest.getPageNum(), searchRequest.getPageSize());
        LambdaQueryWrapper<TaskCollectorVersionFile> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchRequest.getBeginTime() != null) {
            query.ge(TaskCollectorVersionFile::getCreateTime, searchRequest.getBeginTime());
        }
        if (searchRequest.getEndTime() != null) {
            Date endTime = searchRequest.getEndTime();
            query.le(TaskCollectorVersionFile::getCreateTime, endTime);
        }
        //关键字比较，多个列or
        //if (!StringUtils.isEmpty(searchRequest.getKeyword())) {
        //单个列用like
        //query. like(TaskCollectorVersionFile::getxxx, searchRequest. getKeyword());
        //多个列用like
        //query. and(sub -> sub.like(TaskCollectorVersionFile::getxx1, searchRequest. getKeyword())
        // оr(). like(TaskCollectorVersionFile::getXX2, searchRequest. getKeyword()))
        //);
        //}
        //默认createTime倒序排序
        query.orderByDesc(TaskCollectorVersionFile::getCreateTime);
        List<TaskCollectorVersionFile> list = super.find(query);
        return new PageResult<>(list);
    }

}
