package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskSystemParams;
import com.docus.server.infrastructure.dao.ITaskSystemParamsDao;
import com.docus.server.infrastructure.mapper.TaskSystemParamsMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 采集器（终端）系统参数表 TaskSystemParamsDaoImpl 数据访问实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Repository
public class TaskSystemParamsDaoImpl extends BaseDaoImpl<TaskSystemParamsMapper, TaskSystemParams> implements ITaskSystemParamsDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskSystemParams findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param taskSystemParams 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskSystemParams taskSystemParams) {
        return super.save(taskSystemParams);
    }

    /**
     * 编辑
     *
     * @param taskSystemParams 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskSystemParams taskSystemParams) {
        return super.updateById(taskSystemParams);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskSystemParams> search(SearchRequest searchRequest) {
        //分页
        PageHelper.startPage(searchRequest.getPageNum(), searchRequest.getPageSize());
        LambdaQueryWrapper<TaskSystemParams> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchRequest.getBeginTime() != null) {
            query.ge(TaskSystemParams::getCreateTime, searchRequest.getBeginTime());
        }
        if (searchRequest.getEndTime() != null) {
            Date endTime = searchRequest.getEndTime();
            query.le(TaskSystemParams::getCreateTime, endTime);
        }
        //关键字比较，多个列or
        //if (!StringUtils.isEmpty(searchRequest.getKeyword())) {
        //单个列用like
        //query. like(TaskSystemParams::getxxx, searchRequest. getKeyword());
        //多个列用like
        //query. and(sub -> sub.like(TaskSystemParams::getxx1, searchRequest. getKeyword())
        // оr(). like(TaskSystemParams::getXX2, searchRequest. getKeyword()))
        //);
        //}
        //默认createTime倒序排序
        query.orderByDesc(TaskSystemParams::getCreateTime);
        List<TaskSystemParams> list = super.find(query);
        return new PageResult<>(list);
    }

}
