package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollector;
import com.docus.server.infrastructure.dao.ITaskCollectorDao;
import com.docus.server.service.ITaskCollectorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器管理（终端） TaskCollectorServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-07
 */
@Service
public class TaskCollectorServiceImpl implements ITaskCollectorService {
    @Resource
    private ITaskCollectorDao iTaskCollectorDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollector findById(String id) {
        return iTaskCollectorDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollector> search(SearchRequest searchRequest) {
        return iTaskCollectorDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollector 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollector taskCollector) {
        taskCollector.setId(idService.getDateSeq());
        return iTaskCollectorDao.add(taskCollector);
    }

    /**
     * 编辑
     *
     * @param taskCollector 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollector taskCollector) {
        return iTaskCollectorDao.edit(taskCollector);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorDao.delete(ids);
    }
}

