package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionFile;
import com.docus.server.infrastructure.dao.ITaskCollectorVersionFileDao;
import com.docus.server.service.ITaskCollectorVersionFileService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本列表更新包管理（终端） TaskCollectorVersionFileServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskCollectorVersionFileServiceImpl implements ITaskCollectorVersionFileService {
    @Resource
    private ITaskCollectorVersionFileDao iTaskCollectorVersionFileDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersionFile findById(String id) {
        return iTaskCollectorVersionFileDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersionFile> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionFileDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersionFile taskCollectorVersionFile) {
        taskCollectorVersionFile.setId(idService.getDateSeq());
        return iTaskCollectorVersionFileDao.add(taskCollectorVersionFile);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersionFile 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersionFile taskCollectorVersionFile) {
        return iTaskCollectorVersionFileDao.edit(taskCollectorVersionFile);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionFileDao.delete(ids);
    }
}

