package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionLog;
import com.docus.server.infrastructure.dao.ITaskCollectorVersionLogDao;
import com.docus.server.service.ITaskCollectorVersionLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） TaskCollectorVersionLogServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskCollectorVersionLogServiceImpl implements ITaskCollectorVersionLogService {
    @Resource
    private ITaskCollectorVersionLogDao iTaskCollectorVersionLogDao;
    @Resource
    private IdService idService;
    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersionLog findById(String id) {
        return iTaskCollectorVersionLogDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersionLog> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionLogDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersionLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersionLog taskCollectorVersionLog) {
        taskCollectorVersionLog.setId(idService.getDateSeq());
        return iTaskCollectorVersionLogDao.add(taskCollectorVersionLog);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersionLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersionLog taskCollectorVersionLog) {
        return iTaskCollectorVersionLogDao.edit(taskCollectorVersionLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionLogDao.delete(ids);
    }
}

