package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersion;
import com.docus.server.infrastructure.dao.ITaskCollectorVersionDao;
import com.docus.server.service.ITaskCollectorVersionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本列表管理（终端） TaskCollectorVersionServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskCollectorVersionServiceImpl implements ITaskCollectorVersionService {
    @Resource
    private ITaskCollectorVersionDao iTaskCollectorVersionDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskCollectorVersion findById(String id) {
        return iTaskCollectorVersionDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskCollectorVersion> search(SearchRequest searchRequest) {
        return iTaskCollectorVersionDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskCollectorVersion 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskCollectorVersion taskCollectorVersion) {
        taskCollectorVersion.setId(idService.getDateSeq());
        return iTaskCollectorVersionDao.add(taskCollectorVersion);
    }

    /**
     * 编辑
     *
     * @param taskCollectorVersion 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskCollectorVersion taskCollectorVersion) {
        return iTaskCollectorVersionDao.edit(taskCollectorVersion);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskCollectorVersionDao.delete(ids);
    }
}

