package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskSystemParams;
import com.docus.server.infrastructure.dao.ITaskSystemParamsDao;
import com.docus.server.service.ITaskSystemParamsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器（终端）系统参数表 TaskSystemParamsServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskSystemParamsServiceImpl implements ITaskSystemParamsService {
    @Resource
    private ITaskSystemParamsDao iTaskSystemParamsDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskSystemParams findById(String id) {
        return iTaskSystemParamsDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskSystemParams> search(SearchRequest searchRequest) {
        return iTaskSystemParamsDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskSystemParams 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskSystemParams taskSystemParams) {
        return iTaskSystemParamsDao.add(taskSystemParams);
    }

    /**
     * 编辑
     *
     * @param taskSystemParams 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskSystemParams taskSystemParams) {
        return iTaskSystemParamsDao.edit(taskSystemParams);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskSystemParamsDao.delete(ids);
    }
}

