package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollectionRecord;
import com.docus.server.infrastructure.dao.ITaskTerminatorCollectionRecordDao;
import com.docus.server.service.ITaskTerminatorCollectionRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集记录表（终端） TaskTerminatorCollectionRecordServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskTerminatorCollectionRecordServiceImpl implements ITaskTerminatorCollectionRecordService {
    @Resource
    private ITaskTerminatorCollectionRecordDao iTaskTerminatorCollectionRecordDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorCollectionRecord findById(String id) {
        return iTaskTerminatorCollectionRecordDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorCollectionRecord> search(SearchRequest searchRequest) {
        return iTaskTerminatorCollectionRecordDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorCollectionRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord) {
        taskTerminatorCollectionRecord.setId(idService.getDateSeq());
        return iTaskTerminatorCollectionRecordDao.add(taskTerminatorCollectionRecord);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorCollectionRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord) {
        return iTaskTerminatorCollectionRecordDao.edit(taskTerminatorCollectionRecord);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorCollectionRecordDao.delete(ids);
    }
}

