package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminator;
import com.docus.server.infrastructure.dao.ITaskTerminatorDao;
import com.docus.server.service.ITaskTerminatorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 执行管理器（采集器终端） TaskTerminatorServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Service
public class TaskTerminatorServiceImpl implements ITaskTerminatorService {
    @Resource
    private ITaskTerminatorDao iTaskTerminatorDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminator findById(String id) {
        return iTaskTerminatorDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminator> search(SearchRequest searchRequest) {
        return iTaskTerminatorDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminator 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminator taskTerminator) {
        taskTerminator.setId(idService.getDateSeq());
        return iTaskTerminatorDao.add(taskTerminator);
    }

    /**
     * 编辑
     *
     * @param taskTerminator 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminator taskTerminator) {
        return iTaskTerminatorDao.edit(taskTerminator);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorDao.delete(ids);
    }
}

