package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminator;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * <p>
 * 执行管理器（采集器终端） API
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Api(value = "执行管理器（采集器终端）任务管理接口", tags = "执行管理器（采集器终端）任务管理接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.TaskTerminatorApi")
@RequestMapping("/taskTerminator")
public interface TaskTerminatorApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    TaskTerminator findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜素")
    @PostMapping("/search")
    PageResult<TaskTerminator> search(@RequestBody SearchRequest searchRequest);

    /**
     * 新增
     *
     * @param taskTerminator 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody TaskTerminator taskTerminator);

    /**
     * 编辑
     *
     * @param taskTerminator 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody TaskTerminator taskTerminator);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody List<String> ids);
}
