package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 采集器版本列表更新包管理（终端）
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_collector_version_file")
@ApiModel(value = "TaskCollectorVersionFile对象", description = "采集器版本列表更新包管理（终端）")
public class TaskCollectorVersionFile implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器管理版本id")
    @TableField("task_collector_version_id")
    private Long taskCollectorVersionId;

    @ApiModelProperty(value = "采集器管理id")
    @TableField("task_collector_id")
    private Long taskCollectorId;

    @ApiModelProperty(value = "文件标题")
    @TableField("file_title")
    private String fileTitle;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名")
    @TableField("image_path")
    private String imagePath;

    @ApiModelProperty(value = "文件名称")
    @TableField("scan_page")
    private String scanPage;

    @ApiModelProperty(value = "文件大小")
    @TableField("file_size")
    private Integer fileSize;

    @ApiModelProperty(value = "文件类型")
    @TableField("file_type")
    private String fileType;

    @ApiModelProperty(value = "文件来源 1:采集器；2：扫描生产软件")
    @TableField("file_source")
    private String fileSource;

    @ApiModelProperty(value = "1:服务器本地；2：ftp服务器；3：共享文件夹")
    @TableField("file_storage_type")
    private String fileStorageType;

    @ApiModelProperty(value = "是否作废 1：是；0：否")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "是否显示1:是;0:否")
    @TableField("show_file")
    private Integer showFile;

    @ApiModelProperty(value = "文件唯一标识")
    @TableField("file_column_1")
    private String fileColumn1;

    @ApiModelProperty(value = "原文件名称")
    @TableField("original_file_name")
    private String originalFileName;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
