package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
* <p>
    * 采集器（终端）系统参数表
    * </p>
*
* @author AutoGenerator
* @since 2023-07-10
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_system_params")
@ApiModel(value="TaskSystemParams对象", description="采集器（终端）系统参数表")
public class TaskSystemParams implements Serializable {

    @ApiModelProperty(value = "系统参数编号")
    @TableId(value = "param_code", type = IdType.ASSIGN_UUID)
    private String paramCode;

    @ApiModelProperty(value = "系统参数名称")
    @TableField("param_name")
    private String paramName;

    @ApiModelProperty(value = "系统参数说明，如说明参数值得格式要求")
    @TableField("param_info")
    private String paramInfo;

    @ApiModelProperty(value = "系统参数值")
    @TableField("param_value")
    private String paramValue;

    @ApiModelProperty(value = "系统参数分组")
    @TableField("param_group")
    private String paramGroup;

    @ApiModelProperty(value = "排序号，用于分组内排序")
    @TableField("sort_no")
    private Integer sortNo;

    @ApiModelProperty(value = "是否需要加密，0：不需要，1：需要")
    @TableField("need_encrypt")
    private String needEncrypt;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
