package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
* <p>
    * 执行管理器（采集器终端）
    * </p>
*
* @author AutoGenerator
* @since 2023-07-10
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_terminator")
@ApiModel(value="TaskTerminator对象", description="执行管理器（采集器终端）")
public class TaskTerminator implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "资源管理器名称")
    @TableField("terminator_name")
    private String terminatorName;

    @ApiModelProperty(value = "终端重试键")
    @TableField("retry_key")
    private String retryKey;

    @ApiModelProperty(value = "IP")
    @TableField("terminator_ip")
    private String terminatorIp;

    @ApiModelProperty(value = "忙闲状态，0：空闲，1：繁忙")
    @TableField("busy_state")
    private String busyState;

    @ApiModelProperty(value = "在线状态，0：离线，1：在线")
    @TableField("online_state")
    private String onlineState;

    @ApiModelProperty(value = "最近任务执行时间")
    @TableField("last_task_exec_time")
    private LocalDateTime lastTaskExecTime;

    @ApiModelProperty(value = "正在执行任务的名称")
    @TableField("executing_task_name")
    private String executingTaskName;

    @ApiModelProperty(value = "最近一次任务执行失败原因")
    @TableField("last_task_error_msg")
    private String lastTaskErrorMsg;

    @ApiModelProperty(value = "任务扩展参数")
    @TableField("task_params")
    private String taskParams;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
