package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
* <p>
    * 采集记录表（终端）
    * </p>
*
* @author AutoGenerator
* @since 2023-07-10
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_terminator_collection_record")
@ApiModel(value="TaskTerminatorCollectionRecord对象", description="采集记录表（终端）")
public class TaskTerminatorCollectionRecord implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "终端主键")
    @TableField("terminator_id")
    private Long terminatorId;

    @ApiModelProperty(value = "资源管理器名称		资源管理器名称")
    @TableField("terminator_name")
    private String terminatorName;

    @ApiModelProperty(value = "任务重试键")
    @TableField("retry_key")
    private String retryKey;

    @ApiModelProperty(value = "采集器类型")
    @TableField("collect_type")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "任务描述")
    @TableField("task_memo")
    private String taskMemo;

    @ApiModelProperty(value = "数据起始时间范围")
    @TableField("start_time")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "数据结束时间范围")
    @TableField("end_time")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "任务详细信息")
    @TableField("task_detail_info")
    private String taskDetailInfo;

    @ApiModelProperty(value = "任务执行状态，0：成功，1：失败")
    @TableField("task_exec_state")
    private String taskExecState;

    @ApiModelProperty(value = "任务其他扩展配置")
    @TableField("task_params")
    private String taskParams;

    @ApiModelProperty(value = "最近一次任务执行失败原因")
    @TableField("last_task_error_msg")
    private String lastTaskErrorMsg;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
